Skip to content

Services

All operations require authentication.

3 operationsv1/ipLoadbalancing · /ipLoadbalancing/{serviceName}
Agent setup

List Load Balancer servicesProduction

GET
/1.0/ipLoadbalancing

Query parameters

iamTags
object

Filter resources on IAM tags

Response

200string[]successful operation

Reads your token from $OVH_TOKEN

$ curl https://api.eu.ovhcloud.com/1.0/ipLoadbalancing \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "string"]

Get a Load Balancer serviceProduction

GET
/1.0/ipLoadbalancing/{serviceName}

Path parameters

serviceName
required
string

The internal name of your IP load balancing

Response

200IpWithIAMsuccessful operation
displayName
string

Set the name displayed in ManagerV6 for your iplb (max 50 chars)

iam
read-only
ResourceMetadata

IAM resource metadata

ipLoadbalancing
read-only
ip

Your IP load balancing

ipv4
read-only
ipv4

The IPV4 associated to your IP load balancing

ipv6
read-only
ipv6

The IPV6 associated to your IP load balancing

metricsToken
read-only
string

The metrics token associated with your IP load balancing

offer
read-only
string

The offer of your IP load balancing

orderableZone
read-only
OrderableZone[]

Available additional zone for your Load Balancer

serviceName
read-only
string

The internal name of your IP load balancing

sslConfiguration
SslConfigurationEnum

Modern oldest compatible clients : Firefox 27, Chrome 30, IE 11 on Windows 7, Edge, Opera 17, Safari 9, Android 5.0, and Java 8. Intermediate oldest compatible clients : Firefox 1, Chrome 1, IE 7, Opera 5, Safari 1, Windows XP IE8, Android 2.3, Java 7. Intermediate if null.

Valuesintermediatemodern
state
read-only
IpStateEnum

Current state of your IP

Valuesblacklisteddeletedfreeokquarantinedsuspended
vrackEligibility
read-only
boolean

Vrack eligibility

vrackName
read-only
string

Name of the vRack on which the current Load Balancer is attached to, as it is named on vRack product

zone
read-only
string[]

Location where your service is

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/ipLoadbalancing/{serviceName} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "displayName": "string", "iam": { "displayName": "string", "id": "00000000-0000-0000-0000-000000000000", "state": "EXPIRED", "tags": { "key": "string" }, "urn": "string" }, "ipLoadbalancing": "192.0.2.0", "ipv4": "192.0.2.0", "ipv6": "2001:41d0:1:1994::1", "metricsToken": "string", "offer": "string", "orderableZone": [ { "name": "string", "planCode": "string" } ], "serviceName": "string", "sslConfiguration": "intermediate", "state": "blacklisted", "vrackEligibility": true, "vrackName": "string", "zone": [ "string" ]}

Update a Load Balancer serviceProduction

PUT
/1.0/ipLoadbalancing/{serviceName}

Path parameters

serviceName
required
string

The internal name of your IP load balancing

Request body (required)

displayName
string

Set the name displayed in ManagerV6 for your iplb (max 50 chars)

ipLoadbalancing
read-only
ip

Your IP load balancing

ipv4
read-only
ipv4

The IPV4 associated to your IP load balancing

ipv6
read-only
ipv6

The IPV6 associated to your IP load balancing

metricsToken
read-only
string

The metrics token associated with your IP load balancing

offer
read-only
string

The offer of your IP load balancing

orderableZone
read-only
OrderableZone[]

Available additional zone for your Load Balancer

serviceName
read-only
string

The internal name of your IP load balancing

sslConfiguration
SslConfigurationEnum

Modern oldest compatible clients : Firefox 27, Chrome 30, IE 11 on Windows 7, Edge, Opera 17, Safari 9, Android 5.0, and Java 8. Intermediate oldest compatible clients : Firefox 1, Chrome 1, IE 7, Opera 5, Safari 1, Windows XP IE8, Android 2.3, Java 7. Intermediate if null.

Valuesintermediatemodern
state
read-only
IpStateEnum

Current state of your IP

Valuesblacklisteddeletedfreeokquarantinedsuspended
vrackEligibility
read-only
boolean

Vrack eligibility

vrackName
read-only
string

Name of the vRack on which the current Load Balancer is attached to, as it is named on vRack product

zone
read-only
string[]

Location where your service is

Response

200—successful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/ipLoadbalancing/{serviceName} \
  -H "authorization: Bearer $OVH_TOKEN"